package com.pcloud.book.personalstage.dao;

import com.pcloud.book.personalstage.entity.PersonalStageUser;
import com.pcloud.common.core.dao.BaseDao;

public interface PersonalStageUserDao extends BaseDao<PersonalStageUser> {

    PersonalStageUser getLast(String wxId, String robotId, Long personalStageId);

    Integer getNotKeywordSendCount(String wxId, String robotId, Long personalStageId);

    void updateRequireNumber(Long personalStageUserId, String requireNumber);

    void updateScore(Long id, Integer score);

    void updateFusingReplyCount(Long id);
}